# Uses of Class
org.eclipse.mat.snapshot.acquire.VmInfo

Packages that use VmInfo
Package
Description
org.eclipse.mat.hprof.acquire
Generator of HPROF dumps from other running processes on the system, just a acquire dumps extension, not an Application Programming Interface (API).
org.eclipse.mat.ibmvm.acquire
Create IBM dumps - this is an internal package not intended as an Application Programming Interface (API) except as an extension.
org.eclipse.mat.internal.acquire
Support for collecting arguments for acquiring heap dumps from running programs.
org.eclipse.mat.snapshot.acquire
Classes to help get a snapshot from a current running process on the system.
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).

## Uses of VmInfo in org.eclipse.mat.hprof.acquire

Subclasses of VmInfo in org.eclipse.mat.hprof.acquire
Modifier and Type
Class
Description
`class`
`JmapVmInfo`
Methods in org.eclipse.mat.hprof.acquire with parameters of type VmInfo
Modifier and Type
Method
Description
`File`
JMapHeapDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`

## Uses of VmInfo in org.eclipse.mat.ibmvm.acquire

Subclasses of VmInfo in org.eclipse.mat.ibmvm.acquire
Modifier and Type
Class
Description
`class`
`IBMExecVmInfo`
Information about an IBM VM, for use when using a helper VM to create a dump.
`class`
`IBMVmInfo`
Stores information about the target VM.
Methods in org.eclipse.mat.ibmvm.acquire that return types with arguments of type VmInfo
Modifier and Type
Method
Description
`List<VmInfo>`
IBMExecDumpProvider.`getAvailableVMs(IProgressListener listener)`
Methods in org.eclipse.mat.ibmvm.acquire with parameters of type VmInfo
Modifier and Type
Method
Description
`File`
IBMDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
`File`
IBMExecDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`

## Uses of VmInfo in org.eclipse.mat.internal.acquire

Methods in org.eclipse.mat.internal.acquire that return VmInfo
Modifier and Type
Method
Description
`VmInfo`
VmInfoDescriptor.`getVmInfo()`
Methods in org.eclipse.mat.internal.acquire with parameters of type VmInfo
Modifier and Type
Method
Description
`static final VmInfoDescriptor`
VmInfoDescriptor.`createDescriptor(VmInfo vmInfo)`
Constructors in org.eclipse.mat.internal.acquire with parameters of type VmInfo
Modifier
Constructor
Description
``
`VmInfoDescriptor(String identifier, String name, String usage, String help, String helpUrl, Locale helpLocale, VmInfo vmInfo)`

## Uses of VmInfo in org.eclipse.mat.snapshot.acquire

Methods in org.eclipse.mat.snapshot.acquire that return types with arguments of type VmInfo
Modifier and Type
Method
Description
`List<? extends VmInfo>`
IHeapDumpProvider.`getAvailableVMs(IProgressListener listener)`
Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump
Methods in org.eclipse.mat.snapshot.acquire with parameters of type VmInfo
Modifier and Type
Method
Description
`File`
IHeapDumpProvider.`acquireDump(VmInfo info, File preferredLocation, IProgressListener listener)`
Acquire a heap dump from a locally running Java process.

## Uses of VmInfo in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire that return VmInfo
Modifier and Type
Method
Description
`VmInfo`
AcquireDialog.`getProcess()`